std::destructible(3)

NAME
std::destructible - std::destructible

Synopsis
   Defined in header <concepts>
   template < class T > (since C++20)
   concept destructible = std::is_nothrow_destructible_v<T>;
   The concept destructible specifies the concept of all types whose instances can
   safely be destroyed at the end of their lifetime (including reference types).

Notes
   Unlike the Destructible named requirement, std::destructible requires the destructor
   to be noexcept(true), not merely non-throwing when invoked, and allows reference
   types and array types.

See also
   is_destructible
   is_trivially_destructible
   is_nothrow_destructible checks if a type has a non-deleted destructor
   (C++11) (class template)
   (C++11)
   (C++11)